import unittest
import time

from PySide.QtCore import *
from ContentAction import Action

from helper import UsesQCoreApplication

class PythonLauncher:

    def launch(self):
        action = Action.launcherAction("python2.6.desktop", [])
        print action.name()
        # try to launch python2.6
        action.trigger()
        #the line below should print "True", as the action is valid
        print action.isValid()
        #the icon will be valid, as well
        print action.icon()
        QCoreApplication.exit()

class ServiceListenerTest(UsesQCoreApplication):

    def testServiceListener(self):
        timer = QTimer()
        timer.setSingleShot(True)
        timer.setInterval(500)

        launcher = PythonLauncher()
        timer.timeout.connect(launcher.launch)

        timer.start()

        self.app.exec_()

if __name__ == '__main__':
    unittest.main()

