import unittest
import time

from PySide.QtCore import *
import ContentAction

from helper import UsesQCoreApplication


class ContentActionTest(UsesQCoreApplication):

    def testContentAction(self):

        a = ContentAction.Action.defaultAction("satisf action")
        a.trigger()
        a.isValid()
        a.name()
        a.icon()
        b = ContentAction.Action.defaultAction(["and", "some"])
        c = ContentAction.Action(b)
        c = a
        piff = ContentAction.Action.actions(["and", "some"])
        paff = ContentAction.Action.actions("concatenation")
    
        #not yet implemented
        #ContentAction.highlight("foo bar baz")
    
        ContentAction.Action.actionsForFile(QUrl("file:///somewhere/over/the/rainbow"))
        ContentAction.Action.defaultActionForFile(QUrl("file:///somewhere/over/the/rainbow"))
    
        x = a.localizedName()
    
        #these functions are located in the namespace ContentAction
        #e.g ContentAction.setMimeDefault()
        ContentAction.setMimeDefault("foo", "bar")
        list = ContentAction.actionsForMime("foo")
        ContentAction.setMimeDefault("foo", a)
        ContentAction.resetMimeDefault("foo")
        f = ContentAction.defaultActionForMime("foo")
    
    def testLauncherAction(self):
        e = ContentAction.Action.launcherAction("some.desktop", ["param1", "param2"])
            
if __name__ == '__main__':
    unittest.main()

